CVE-2017-5581

Impact:
Low
Public Date:
2017-01-13
CWE:
CWE-119
Bugzilla:
1415712: CVE-2017-5581 tigervnc: Buffer overflow in ModifiablePixelBuffer::fillRect
A buffer overflow flaw, leading to memory corruption, was found in TigerVNC viewer. A remote malicious VNC server could use this flaw to crash the client vncviewer process resulting in denial of service.

Find out more about CVE-2017-5581 from the MITRE CVE dictionary dictionary and NIST NVD.

CVSS v3 metrics

CVSS3 Base Score 3.1
CVSS3 Base Metrics CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:L
Attack Vector Network
Attack Complexity High
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality None
Integrity Impact None
Availability Impact Low

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux 7 (tigervnc) RHSA-2017:2000 2017-08-01
Red Hat Enterprise Linux 6 (tigervnc) RHSA-2017:0630 2017-03-21

Last Modified
Close

Welcome! Check out the Getting Started with Red Hat page for quick tours and guides for common tasks.